package com.example.safedrive;

import androidx.annotation.NonNull;
import androidx.appcompat.app.ActionBarDrawerToggle;
import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.widget.Toolbar;
import androidx.core.view.GravityCompat;
import androidx.drawerlayout.widget.DrawerLayout;

import android.annotation.SuppressLint;
import android.os.Bundle;
import android.util.Log;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;
import android.widget.Button;
import android.content.Intent;

import com.google.android.material.navigation.NavigationView;

public class QRCodeScanner extends AppCompatActivity implements NavigationView.OnNavigationItemSelectedListener {

    Button scanbtn, pay;
    public static String scanText = "";
    public static TextView name,bank,branch,account;
    TextView amount;

    @SuppressLint("WrongViewCast")
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_q_r_code_scanner);

        scanbtn = findViewById(R.id.scanbtn);
        amount = findViewById(R.id.amount);
        name = findViewById(R.id.name);
        bank = findViewById(R.id.bank_name);
        account = findViewById(R.id.account_number);
        branch = findViewById(R.id.branch);
        pay = findViewById(R.id.pay);

        scanbtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity((new Intent(getApplicationContext(), scannerView.class)));
            }
        });

        Toolbar toolbar = findViewById(R.id.toolbar);
        toolbar.setTitle("");
        setSupportActionBar(toolbar);

        DrawerLayout drawer = (DrawerLayout) findViewById(R.id.drawer_qr);
        ActionBarDrawerToggle toggle = new ActionBarDrawerToggle(
                this, drawer, toolbar, R.string.navigation_drawer_open, R.string.navigation_drawer_close);
        toggle.getDrawerArrowDrawable().setColor(getResources().getColor(R.color.black));
        drawer.addDrawerListener(toggle);
        toggle.syncState();

        NavigationView navigationView = (NavigationView) findViewById(R.id.nav_view);
        navigationView.setNavigationItemSelectedListener(this);

    }

    @Override
    public boolean onNavigationItemSelected(@NonNull MenuItem item) {
        int id = item.getItemId();

        if (id == R.id.nav_home)
        {
            Intent intent = new Intent(QRCodeScanner.this, MainActivity.class);
            startActivity(intent);

        }
        else if (id == R.id.nav_payment)
        {
            startActivity((new Intent(getApplicationContext(), scannerView.class)));

        }
        else if (id == R.id.nav_wallet)
        {
            Intent intent = new Intent(QRCodeScanner.this, WalletActivity.class);
            startActivity(intent);

        }
        else if (id == R.id.nav_profile)
        {
//            Intent intent = new Intent(HomeActivity.this, SettingsActivity.class);
//            startActivity(intent);
        }

        else if (id == R.id.nav_logout)
        {
            //Paper.book().destroy();

            Intent intent = new Intent(QRCodeScanner.this, MainActivity.class);
            intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK);
            startActivity(intent);
            finish();
        }

        DrawerLayout drawer = (DrawerLayout) findViewById(R.id.drawer_layout);
        drawer.closeDrawer(GravityCompat.START);
        return true;
    }
}